---
title: Taro 邀你加入社区共建 — 社区共建倡议书
author:luckyadam
authorURL: https://github.com/luckyadam
authorImageURL: https://avatars2.githubusercontent.com/u/1782542?s=400&u=d20514a52100ed1f82282bcfca6f49052793c889&v=4
---

[Taro](https://taro.jd.com) 作为一个多端统一开发解决方案，自诞生以来一直保持着高速的发展态势， 从一个单一的开发框架发展到如今服务数万名开发者的多端解决方案，Taro 的成长有 Taro 团队不忘初心的努力，但更重要的是，离不开社区广大开发者的支持和帮助。

<!--truncate-->

## 开源面临着什么

我们可以先来看一组数据。

Taro 从开源到当前行文为止，统共有 **5227** 次 commits，发布了 **235** 个版本，同时有 **3908** 个 issues 被开启，在 Taro 团队和社区的努力下，已经关闭了 **3296** 个，还有近 **600** 个 issues 有待解决，而每周 Taro 的新开启的 issues 也在 **50** 个左右；同时也收获了 **709** 个 PR，合入了 **656** 个。

除此之外，[Taro 交流社区](http://taro-club.jd.com/) 发帖数也达到 **3000** 个，每周以 **200** 个左右的增速在增加，而 [Taro 官方文档](https://taro-docs.jd.com/) 作为 Taro 入门及开发必备的资源，每周的访问量达到了 **20w**。

同时 Taro 还有 **20 余** 个 **500** 人左右的开发者交流微信群，以及 10 余个跟各小程序官方团队、各大公司研发团队的研讨群，每天 Taro 团队的开发人员都要遭受大规模的信息轰炸。

由此可见，Taro 目前拥有庞大且活跃的开发者社区，每天都会产生大量的信息，或是问题，或是建议，或是代码提交，或是有用的轮子。当社区变得越来越大后，如何进行有效的管理，提升社区整体的使用体验，便成了困扰 Taro 团队的问题，迫切需要在方案迭代与社区维护之间寻找到一个平衡点，以使 Taro 可以走得更远，发展得更好。

## 来自社区的力量

正所谓「单丝不成线，独木不成林」。

Taro 发展至今早已不在属于单一团队的项目了，而是整个 Taro 开发社区共同的项目。在 Taro 所属的 NervJS 组织的[成员](https://github.com/orgs/NervJS/people) 中也已经加入了像华为、腾讯等其他公司的研发人员，共同建设项目，而整个社区的贡献者也达到了 **230** 位。

![WX20191010-150217@2x.png](https://img10.360buyimg.com/ling/jfs/t1/51716/38/13586/794849/5da564c9Ef215f164/cd2069db4f105db4.jpg)

而在所有的社区贡献中，需要特别感谢：

-  [Tom Huang](https://github.com/nanjingboy/) ，独立为 Taro 开发所有端的 MobX 支持
-  [jsNewbee](https://github.com/js-newbee/)，为 Taro 贡献了一个完整支持 小程序 + H5 + React Native 的[多端样例](https://github.com/qit-team/taro-yanxuan)
-  [Chunlin](https://github.com/Qiyu8/)，来自华为，为 Taro 完善了快应用的转换支持

同时也感谢受邀成为 [TaroUI](https://github.com/NervJS/taro-ui) 核心维护人员的  [Garfield550](https://github.com/Garfield550) (小姐姐)、[梁音](https://github.com/yinLiangDream)、[ShaoQian Liu](https://github.com/lsqy)，他们将支撑起 TaroUI 的后续迭代与维护。

当然还有在社区中乐于助人、积极贡献的 [zacksleo](https://github.com/zacksleo) 、[Jay Fong](https://github.com/fjc0k)、[loveonelong](https://github.com/loveonelong)、[lolipop99](https://github.com/lolipop99)、[波仔糕](https://github.com/bozaigao)、[原罪](https://github.com/fwh1990)、[lentoo](https://github.com/lentoo/) 、[白领夏公子](https://taro-club.jd.com/user/%E7%99%BD%E9%A2%86%E5%A4%8F%E5%85%AC%E5%AD%90)  、YuanQuan、 tourze、 lingxiaoZhu 等等。

此外，还要感谢一直默默为 Taro 发展提供宝贵建议的研发团队：腾讯云、数字广东、腾讯CDC、网易严选、华为开源团队、招联消费金融等等

社区的力量一直在支撑 Taro 前进。

所以，如今 Taro 面临的社区维护问题我们希望可以交给社区来进行自我管理。

## 期待你的加入

为了能够让社区更加高效、健康的运转下去，Taro 官方团队希望能够从社区中吸引开发者来共同维护，进行社区共建。

社区共建本次拟开放三大类角色，Taro 团队会为每一类角色设定一定门槛以及激励机制，从而保证整体质量。

### 能力完善

头衔 | 准入机制 | 权益
-- | -- | -- 
认证开发者 | 1. 为 Taro 实现过独立功能特性 <br/> 2. 代码 commit 数及代码贡献量达到一定标准 | 1. 获取 Taro 项目 developer 权限 <br/> 2. 来自 Taro 团队定期礼品与开源认证证书 <br/> 3. Readme 及官网、文档展示
代码贡献者 | 为 Taro 提交过 PR | Readme 及官网、文档展示

### 社区管理

头衔 | 准入机制 | 权益 | 职责
-- | -- | -- | --
社区版主  | 1. 通过社区报名，遴选后产生 <br/> 2. 通过考察在 Taro 社区的活跃程度，由 Taro 团队进行定向邀请   | 1. Readme 及官网、文档展示 <br/> 2. 所提出特性会优先考虑在 Taro 版本中加入 <br/>3. 来自 Taro 团队定期礼品与开源认证证书 | 1. 负责社区各版块的管理<br/>2. 定期发布版块相关主题帖 <br/> 3. 定期收集版块问题帖子，进行汇总，反馈给 Taro 团队 <br/> 4. 对版块内帖子进行审核，剔除无用、违反法律等帖子
GitHub Issues 管理员 |  1. 通过社区报名，遴选后产生 <br/> 2. 通过考察在 Taro 社区的活跃程度，由 Taro 团队进行定向邀请 | 1. Readme 及官网、文档展示 <br/> 2. 所提出特性会优先考虑在 Taro 版本中加入  <br/>3. 来自 Taro 团队定期礼品与开源认证证书 <br/> 4. 参与 GitHub robot 完善 |  1. 负责对 GitHub issues 答疑解惑以及打标分类 <br/> 2. 负责每周汇总 issues，并将 issues 提交到 Taro 团队  <br/>3. 负责每周精选 issues，并将数据同步到 Taro 社区
交流群管理员 |  1. 通过社区报名，遴选后产生 <br/> 2. 通过考察在 Taro 社区的活跃程度，由 Taro 团队进行定向邀请 | 1. Readme 及官网、文档展示 <br/> 2. 所提出特性会优先考虑在 Taro 版本中加入 <br/>3. 来自 Taro 团队定期礼品与开源认证证书 <br/>4. 参与 群小助手 完善 | 1. 负责群内内容的管理，创造良好的沟通交流环境  <br/> 2. 负责群内问题的答疑解惑，引导开发者去社区、GitHub issues 获取答案 <br/>3. 负责操作社区群管理工具，整理群内问题，同步到 Taro 社区

### 知识构建

形式 | 提交方式 | 权益
-- | -- | --
Taro 课程视频录制 | 通过邮箱发送个人信息及试讲视频<br/>邮箱：taro@jd.com<br/>内容：<br/>1. 个人信息：主攻技术方向、从业经历、公开分享经验等 <br/>2. 试讲视频链接通过遴选后，Taro 团队会与你联系沟通后续的视频录制事宜 | 成为 Taro 官方合作伙伴，视频课程经由 Taro 团队审核后，Taro 团队会全力协助进行运营推广
Taro 开发实践文章撰写 | 通过邮箱投稿<br/>邮箱：taro@jd.com<br/>内容：<br/>1. md 文件（若为系列文章请添加大纲） <br/>2. 是否在 Taro 渠道首发通过遴选后，Taro 团队会与你联系沟通后续发布事宜 | 成为 Taro 官方合作伙伴，文章经由 Taro 团队审核后，会通过 Taro 相关优质渠道进行发布
## 写在最后

Taro 作为一个多端开发解决方案，还处在初级的发展阶段，是一个发展中的方案，在不久的未来我们会有更多新的功能、特性推向开发者，甚至可能也有颠覆性的东西出现，让 Taro 成为一个更棒的方案。目前 Taro 已经翻过了一座座发展的山峰，但他正在向更高山峰迈进。

长风破浪会有时，直挂云帆济沧海。

## Taro 诚邀你的加入
联系邮箱：[taro@jd.com](mailto:taro@jd.com)
邮件标题：【共建】+ 你想说的话


 加入 Taro 微信群？加「 Taro小助手」（微信号: jdtester）回复 `taro` 即可。

 ![Taro小助手](https://img30.360buyimg.com/ling/jfs/t1/81131/13/700/35411/5cef439fE8acf6ac4/2319513fc07404e6.png)
