---
title: Taro.startRecord(option)
sidebar_label: startRecord
id: version-2.0.3-startRecord
original_id: startRecord
---

开始录音。当主动调用`Taro.stopRecord`，或者录音超过1分钟时自动结束录音，返回录音文件的临时文件路径。当用户离开小程序时，此接口无法调用。
**注意：1.6.0 版本开始，本接口不再维护。建议使用能力更强的 [Taro.getRecorderManager](https://developers.weixin.qq.com/miniprogram/dev/api/media/recorder/wx.getRecorderManager.html) 接口**
需要[用户授权](https://developers.weixin.qq.com/miniprogram/dev/framework/open-ability/authorize.html) scope.record

> [参考文档](https://developers.weixin.qq.com/miniprogram/dev/api/media/recorder/wx.startRecord.html)

## 类型

```tsx
(option: Option) => Promise<SuccessCallbackResult>
```

## 参数

### Option

| 参数 | 类型 | 必填 | 说明 |
| --- | --- | :---: | --- |
| complete | `(res: CallbackResult) => void` | 否 | 接口调用结束的回调函数（调用成功、失败都会执行） |
| fail | `(res: CallbackResult) => void` | 否 | 接口调用失败的回调函数 |
| success | `(result: SuccessCallbackResult) => void` | 否 | 接口调用成功的回调函数 |

### SuccessCallbackResult

| 参数 | 类型 | 说明 |
| --- | --- | --- |
| tempFilePath | `string` | 录音文件的临时路径 |
| errMsg | `string` | 调用结果 |

## 示例代码

```tsx
Taro.startRecord({
  success: function (res) {
    const tempFilePath = res.tempFilePath
  }
})
setTimeout(function () {
  Taro.stopRecord() // 结束录音
}, 10000)
```

## API 支持度

| API | 微信小程序 | H5 | React Native |
| :---: | :---: | :---: | :---: |
| Taro.startRecord | ✔️ |  |  |
