---
title: Taro.redirectTo(option)
sidebar_label: redirectTo
id: version-2.0.3-redirectTo
original_id: redirectTo
---

关闭当前页面，跳转到应用内的某个页面。但是不允许跳转到 tabbar 页面。

> [参考文档](https://developers.weixin.qq.com/miniprogram/dev/api/route/wx.redirectTo.html)

## 类型

```tsx
(option: Option) => Promise<CallbackResult>
```

## 参数

### Option

| 参数 | 类型 | 必填 | 说明 |
| --- | --- | :---: | --- |
| url | `string` | 是 | 需要跳转的应用内非 tabBar 的页面的路径, 路径后可以带参数。参数与路径之间使用 `?` 分隔，参数键与参数值用 `=` 相连，不同参数用 `&` 分隔；如 'path?key=value&key2=value2' |
| complete | `(res: CallbackResult) => void` | 否 | 接口调用结束的回调函数（调用成功、失败都会执行） |
| fail | `(res: CallbackResult) => void` | 否 | 接口调用失败的回调函数 |
| success | `(res: CallbackResult) => void` | 否 | 接口调用成功的回调函数 |

## 示例代码

```tsx
Taro.redirectTo({
  url: 'test?id=1'
})
```

## API 支持度

| API | 微信小程序 | H5 | React Native |
| :---: | :---: | :---: | :---: |
| Taro.redirectTo | ✔️ | ✔️ | ✔️ |
